Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javassist.runtime
Class Desc

    java.lang.Object
      |
      +--javassist.runtime.Desc

public class Desc
extends java.lang.Object

A support class for implementing `$sig` and `$type`. This support class is required at runtime only if `$sig` or `$type` is used.

Field Summary
`static boolean` | `useContextClassLoader` Specifies how a `java.lang.Class` object is loaded.

Constructor Summary
`Desc()`

Method Summary
`static java.lang.Class` | `getClazz(java.lang.String name)` Interprets the given class name.
`static java.lang.Class[]` | `getParams(java.lang.String desc)` Interprets the given type descriptor representing a method signature.
`static java.lang.Class` | `getType(java.lang.String desc)` Interprets the given type descriptor.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### useContextClassLoader

    public static boolean useContextClassLoader

  Specifies how a `java.lang.Class` object is loaded.

  If true, it is loaded by:

      Thread.currentThread().getContextClassLoader().loadClass()

  If false, it is loaded by `Class.forName()`. The default value is false.

Constructor Detail

### Desc

    public Desc()

Method Detail

### getClazz

    public static java.lang.Class getClazz(java.lang.String name)

  Interprets the given class name. It is used for implementing `$class`.

### getParams

    public static java.lang.Class[] getParams(java.lang.String desc)

  Interprets the given type descriptor representing a method signature. It is used for implementing `$sig`.

### getType

    public static java.lang.Class getType(java.lang.String desc)

  Interprets the given type descriptor. It is used for implementing `$type`.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Javassist, a Java-bytecode translator toolkit. Copyright (C) 1999-2003 Shigeru Chiba. All Rights Reserved.